@import url(https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css);

@font-face {
  font-family: 'SF Pro Light';
  src: local('San Francisco Pro Display Ultra Light'), local('San-Francisco-Pro-Display-Ultra-Light'),
    url('font/SFProDisplay-Ultralight.woff2') format('woff2'),
    url('font/SFProDisplay-Ultralight.woff') format('woff'),
    url('font/SFProDisplay-Ultralight.ttf') format('truetype');
  font-weight: 200;
  font-style: normal;
}

@font-face {
  font-family: 'SF Pro Thin';
  src: local('San Francisco Pro Display Thin'), local('San-Francisco-Pro-Display-Thin'),
    url('font/SFProDisplay-Thin.woff2') format('woff2'),
    url('font/SFProDisplay-Thin.woff') format('woff'),
    url('font/SFProDisplay-Thin.ttf') format('truetype');
  font-weight: 100;
  font-style: normal;
}

* {
  margin: 0px;
}

body {
  width: 100%;
  font-weight: bold;
  font-family: 'SF Pro Light';
  font-size: 16px;
}

a {
  cursor: pointer;
  text-decoration: none;
}

h1 {
  font-size: 24px;
  padding: 10px 0 10px 0;
}

h2 {
  font-size: 20px;
  text-align: center;
}

h3 {
  font-size: 18px;
  margin: 20px 0 10px 0;
  text-align-last: center;
}


.header {
  height: 60px;
  background: #F4EFEC;
}

.logo {
  align-self: center;
}

.logo_wrap{
max-width: 200px;
}

.infophone{
  background-image: linear-gradient(0.75turn, #F4EFEC, #dfdddd);
  text-decoration: none;

}

.infophone ul{
  padding: 4px 0px 4px 10px;
}

.infophone ul li{
  list-style-type: none;
  padding-left: 0;
  font-size: 18px;
}
.phone_wrap{
  padding-right: 50px;
}

.soc_wrap{
  padding-right: 5px;
}

.infophone a{
  color: black;
  list-style-type: none;
}

.header_wrap {
  max-width: 1280px;
  height: 60px;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  display: grid;
  align-content: center;
  justify-items: center;
  grid-template-columns: 1fr 0.3fr 0.5fr 0.5fr;
}

.menu {
  align-self: center;
  padding-left: 0px;
}

.menu_left{
  padding-left: 150px;
}

.menu ul {
  list-style-type: none;
  font-family: 'SF Pro Thin';
  font-size: 18px;
  font-weight: 100;
  display: flex;
  padding-left: 0;
}

.menu a {
  color: black;
}

.menu ul li {
  align-items: center;
  padding-right: 40px;
}

main {
  padding: 0 30px 0 30px;
  display: flex;
  justify-content: center;
  min-height: calc(100vh - 180px);
}

.portfolio {
  max-width: 1280px;
  margin-bottom: 50px;
}


.about__wrap {
  padding-top: 20px;
  line-height: 1.4em;
}

.info_about {
  margin: 20px 0 20px 0;
}

.about_phone {
  padding-bottom: 100px;
  margin-top: 20px;
}

.about_phone a {
  color: black;
  font-weight: bold;
}

.aboutme_image {
  max-width: 30%;
  margin: 10px;
}

.aboutme_wrap {
  display: block;
}

.services_image {
  max-width: 100%;
}

.block {
  max-width: 300px;
  height: auto;
  margin: 10px;
}

.block ul {
  padding-top: 20px;
  line-height: 1.5em;
}

.block_wrap {
  max-width: 1024px;
}

.block__wrap {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

.cooperation_wrap {
  min-height: 200px;
  display: flex;
  flex-direction: row;
  align-items: center;
  flex-wrap: nowrap;
}

.cooperion_img {
  max-width: 100px;
  margin: 20px;
}

.cooperation {
  margin-top: 50px;
}

footer {
  width: 100%;
  height: 100px;
  background: #F4EFEC;
  left: 0;
}

.footer {
  max-width: 1280px;
  height: 100%;
  align-items: center;
  margin-left: auto;
  margin-right: auto;

}

.footer_wrap {
  display: grid;
  grid-template-columns: 1fr 1fr;
  height: inherit;
  align-items: center;
}


.social a {
  text-align: center;
  width: 20px;
  height: 20px;
  float: right;
  margin: 0 10px 10px 0;
  padding: 6px;
  color: rgb(88, 88, 88);
}

/* Настраиваем внешний вид полей ввода*/
input {
  display: inline-block;
  margin: 10px auto;
  border: 2px solid #eee;
  padding: 10px 20px;
  font-family: Verdana, Arial, sans-serif;
  font-size: 16px;
}

textarea {
  display: inline-block;
  margin: 10px auto;
  border: 2px solid #eee;
  padding: 10px 20px;
  font-family: Verdana, Arial, sans-serif;
  font-size: 16px;
}

/*Портфолио*/
.row {
  display: -ms-flexbox;
  /* IE10 */
  display: flex;
  -ms-flex-wrap: wrap;
  /* IE10 */
  flex-wrap: wrap;
  padding: 0 4px;
}

/* Create four equal columns that sits next to each other */
.column {
  -ms-flex: 25%;
  /* IE10 */
  flex: 25%;
  max-width: 33%;
  padding: 0 4px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
}


/*
.instagram a:hover {background: #3f729b; color: #fff;}
.facebook a:hover {background: #3b5998; color: #fff;}
*/

@media (min-width: 1280px) {
  nav {
    display: none;
  }

 #my_foto_main{
  display: none;
 }
}

@media (max-width: 1280px) {

  .header_wrap {
    max-width: 1280px;
    height: 60px;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    display: grid;
    grid-template-columns: 1fr 0.3fr 1fr;
    justify-items: end;
  }

  main {
    padding: 0;
    display: flex;
    justify-content: center;
  }
  
  .infophone{
    display: none;
  }

  .logo {
    margin-top: 13px;
  }

  nav {
    z-index: 9999;
    background: #F4EFEC;
    float: right;
    padding-right: 10px;
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
  }

  .list-menu {
    display: flex;
    list-style: none;
  }

  .list-menu>li>a {
    color: black;
    display: block;
    padding: 5px 15px;
  }

  .list-menu>li>a:hover {
    background: black;
    color: #fff;
  }

  #btn-menu {
    display: none;
  }

  #btn-menu+label {
    display: none;
    position: relative;
    color: black;
    height: 20px;
    cursor: pointer;
    padding-right: 30px;
  }

  #btn-menu+label:before {
    content: '\f0c9';
    display: inline-block;
    font-family: 'FontAwesome';
    font-size: 30px;
  }

  #btn-menu:checked+label:before {
    content: '\f00d';
    color: rgb(88, 88, 88);
  }

  .phone_wrap_mobile{
    background-image: linear-gradient(0.75turn, #F4EFEC, #dfdddd);
    font-size: 16px;
  }

  menu>ul>li {
    display: none;
  }

  .phone-info {
    padding-top: 22px;
  }

  #btn-menu+label {
    display: inline-block;
  }

  #btn-menu+label+.list-menu {
    display: none;
  }

  #btn-menu:checked+label+.list-menu {
    display: block;
    margin-top: 195px;
  }

  .gallery-preview {
    width: 380px;
    height: 250px;
  }

  .block__wrap {
    display: flex;
    margin-top: 20px;
    margin-bottom: 20px;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
  }
}
/* Responsive layout - makes a two column-layout instead of four columns 
@media screen and (max-width: 800px) {

}
*/

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .column {
    -ms-flex: 100%;
    flex: 100%;
    max-width: 100%;
  }
}

@media (max-width: 768px) {

  nav {
    z-index: 9999;
    background: #F4EFEC;
    float: right;
    padding-right: 7px;
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
  }

  .header_wrap {
    display: grid;
    justify-content: end;
    justify-items: stretch;
    grid-template-columns: 38% 27% 36%;
  }

  main {
    padding: 0px;
    display: flex;
    justify-content: center;
    min-height: 100%;
  }

  .phone_wrap_mobile{
    background-image: linear-gradient(0.75turn, #F4EFEC, #dfdddd);
    font-size: 16px;
  }

  .menu ul li {
    align-items: center;
    padding: 0;
  }

  #my_foto_main{
   width:100%;
   }

  .block__wrap {
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
    flex-direction: column;
}

.services_image {
  max-width: 100%;
  margin-top: 50px;
}

  .block {
    margin: 5px;
  }

  .column {
    -ms-flex: 25%;
    flex: 25%;
    max-width: 35%;
  }
}

@media (max-width: 460px) {
  .header_wrap {
    display: grid;
    justify-content: end;
    justify-items: stretch;
    grid-template-columns: 35% 50% 35%;
  }

}

@media (max-width: 317px) {
  .header_wrap {
    display: grid;
    justify-content: end;
    justify-items: stretch;
    grid-template-columns: 0% 69% 31%;
  }

  nav {
    z-index: 9999;
    background: #F4EFEC;
    float: right;
    padding-right: 7px;
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
  }

  main {
    padding: 0;
    display: flex;
    justify-content: center;
    min-height: 100%;
  }
}
